<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Getting Started with JavaScript</title>
</head>
<body>

<script>
//    function Mobile(Modal_no){
//        this.Modal = Modal_no;
//        this.Price = function (){
//            document.write(this.Modal + "Price: 3000")
//        };
//     }
//     var samsung = new Mobile("galaxy");
//     samsung.Price();

//How to Check Properties exists.......

// function user(){
//     this.name = "Kamal"
//     this.roll; 
// }
// var abc = new user()
// if(typeof abc.roll !== 'undefined'){
//     document.write("Avalable")
// }
// else{
//     document.write("not exist")
// }

// function user(){
//     this.name = "Kamal"
//     this.roll = 2; 
// }
// var abc = new user()
// if('roll' in abc ){
//     document.write("Avalable")
// }
// else{
//     document.write("not exist")
// }

// function user(){
//     this.name = "Kamal"
//     this.roll; 
// }
// var abc = new user()
// if(abc.hasOwnProperty("roll") ){
//     document.write("Avalable")
// }
// else{
//     document.write("not exist")
// }

//for in Loop in............

// function user(){
//     this.Name = "Kamal"
//     this.Roll = 1234;
//     this.Enroll = 234;
//     this.Group = "A+" 
//     this.vill = function (){
//            document.write(this.abc + "123")
//     };
// }
// var abc = new user()
// for(var xyz in abc)
// {
//     if(typeof abc[xyz] !== 'function')
//     {
//         document.write(xyz + ": " + abc[xyz] + "<br>")
//     }
//     else
//     {
//         document.write("Function is not exist")
//     }
    
// };

//Constructor as a Class...........
// var car = function(name, modal, price){
//     this.carName = name;
//     this.carModal = modal;
//     this.salePrice = price;
//     this.minPrice = 200000;
//     this.carPrice = function(){
//         return (this.minPrice + this.salePrice)
//     }
//     this.data = function()
//     {
//     document.write("Car Name: " + this.carName + "<br>" + "Modal: " + this.carModal + "<br>"  + "Total Price: " + this.carPrice())
//     }
// }
// var BMW = new car("BMW", 2012, 500000);
// var TATA = new car("Toyota", 2015, 700000);
// TATA.data();

//Private Properties and Method............

// var show = prompt("enter number")
// var nunbers = ["zero"," one"," two"," three"," four"," five", " six"," seven"," eight"," nine"]
// switch (parseInt(show)){
//     case 0 :
//     document.write(nunbers[0])
//     break;
//     case 1 :
//     document.write(nunbers[1])
//     break;
//     case 2 :
//     document.write(nunbers[2])
//     break;
//     case 3 :
//     document.write(nunbers[3])
//     break;
//     case 4 :
//     document.write(nunbers[4])
//     break;
//     case 5 :
//     document.write(nunbers[5])
//     break;
//     case 6 :
//     document.write(nunbers[6])
//     break;
//     case 7 :
//     document.write(nunbers[7])
//     break;
//     case 8 :
//     document.write(nunbers[8])
//     break;
//     case 9 :
//     document.write(nunbers[9])
//     break;
   
// }

var show = prompt("enter number")
var nunbers = [" zero"," one"," two"," three"," four"," five", " six"," seven"," eight"," nine"]
var convert = "";
for( i = 0; i < show.length; i++ )
{
    convert = convert + nunbers[show[i]]
}
document.write(convert)

</script>
</body>
</html>